aboutsummaryrefslogtreecommitdiff
path: root/test/node/non_root_user.sh
diff options
context:
space:
mode:
authorChuck Lantz <clantz@microsoft.com>2022-10-28 20:32:58 +0300
committerGitHub <noreply@github.com>2022-10-28 20:32:58 +0300
commit2963ae91192b29a8ec049d7376dc69ff21b725f4 (patch)
tree320ae32fe67b460648a34900c2748de87860af25 /test/node/non_root_user.sh
parentab021f0dfb0b4d28a2a71fd4b8502f5cb0b72004 (diff)
Fix privs in Node, regressions from #199 (#241)
Co-authored-by: Samruddhi Khandale <skhandale@microsoft.com>
Diffstat (limited to 'test/node/non_root_user.sh')
-rwxr-xr-xtest/node/non_root_user.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/test/node/non_root_user.sh b/test/node/non_root_user.sh
new file mode 100755
index 0000000..6b6804d
--- /dev/null
+++ b/test/node/non_root_user.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+# Definition specific tests
+check "version" node --version
+check "nvm" bash -c ". /usr/local/share/nvm/nvm.sh && nvm install 10"
+
+# Report result
+reportResults \ No newline at end of file